html, body {
  color: #24292e;
  font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Helvetica,Arial,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol";
  font-size: 16px;
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
  height: 100%;
  padding: 10px !important;
  margin: 0;
  scrollbar-track-color: Whitesmoke;
  scrollbar-arrow-color: silver;
  scrollbar-base-color: #ddd;
  scrollbar-face-color: #ddd;
  -ms-overflow-style: -ms-autohiding-scrollbar !important;
}

strong, b {
  font-weight: 600;
}

h1, h2, h3, h4, h5, h6, .byline, .content-title {
  margin-top: 1em;
  margin-bottom: 0.75em;

  font-weight: 600;
  line-height: 1.25;
  margin-bottom: 0em;
}

h1 {
  font-size: 2em;
  line-height: 1.2;
  padding-bottom: 0.3em;
  border-bottom: 1px solid #eaecef;
  margin-bottom: 16px;
}

h2 {
  font-size: 1.5em;
  padding-bottom: 0.3em;
  border-bottom: 1px solid #eee;
}

h3 {
  display: block;
  font-size: 1.3em;
}

h4 {
  font-size: 1.05em;
}

h5, h6 {
  font-size: 1em;
}

a, a:visited {
  text-decoration: none;
  color: steelblue;
}

  a:hover {
    text-decoration: underline;
  }

p {
  margin: 0.5rem 0 1rem;
}


code {
  font-family: SFMono-Regular,Consolas,Liberation Mono,Menlo,Courier,monospace;
  color: #333;
  background: #f2f2f2;
  font-size: 0.85em;
}

pre {
  font-family: SFMono-Regular,Consolas,Liberation Mono,Menlo,Courier,monospace;
  font-weight: normal;
  font-size: 85%;
  line-height: 1.45;
  margin: 7px 0;
  padding: 0;
  max-width: 98%;
  border: none;
  overflow: auto;
  border-radius: 3px;
  white-space: pre;
  word-break: normal;
  word-wrap: normal;
  background: #f2f2f2f2;
}

  pre > code {
    white-space: pre;
    padding: 0.8em !important;
    display: block;
    background: transparent;
    font-weight: normal;
  }

table {
  width: 100%;
  overflow: auto;
  display: block;
  border-spacing: 0;
  border-collapse: collapse;
  margin: 15px 0;
  border-color: gray;
}

td, th {
  border: 1px solid #ddd;
  padding: 6px 13px;
  display: table-cell;
  vertical-align: top;
}

th {
  font-weight: bold;
}

tbody > tr:nth-child(even) {
  background: #eee;
}

img {
  max-width: 100%;
}

ul > li > ul > li > ul > li {
  list-style: disc;
}

ul > li > ul > li {
  list-style: circle;
}
.task-list-item
{
  list-style: none;
  margin-left: -2em;
}
/* definition lists can be toggled*/
dt {
  font-size: 1.08em;
  font-weight: bold;
  text-decoration: underline;
  padding-top: 0.5em;
  cursor: pointer;
}

dd {
  margin: 0;
  padding: 0 0 0.2em 1em;
  display: none;
}

blockquote {
  color: #6a737d;
  font-size: 1em;
  border-left: 4px #ddd solid;
  padding: 15px 20px;
  margin: 14px 2px;
}

  blockquote *:first-child {
    margin-top: 0;
  }

  blockquote *:last-child {
    margin-bottom: 0;
  }

hr {
  margin: 12px 0;
}

.figure .caption, figure figcaption {
  font-size: 0.8em;
  font-style: italic;
  margin-top: 0;
}
/* hidden display, but still part of document flow */
.hidden {
  display: none;
}

.hidden-nowidth {
  width: 0;
}

.visually-hidden {
  border: 0;
  clip: rect(0 0 0 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
}

.line-highlight {
  background: #e9f5ff !important;
}

p.line-highlight, h1.line-highlight, h2.line-highlight, h3.line-highlight, h4.line-highlight {
  border-radius: 4px;
  margin-left: -10px;
  margin-right: -10px;
  padding-left: 10px;
  padding-right: 10px;
}

#MainContent {
  margin: 0 auto;
  padding: 10px 40px;
  max-width: 980px;
  border: 1px solid #eee;
}

/* DocFx Styles*/
.CAUTION, .IMPORTANT, .INFO, .TIP, .NOTE, .WARNING
{
  padding: 0.1px 20px;
  margin: 15px 0;
  border-radius: 4px;
}
.CAUTION > h5, .IMPORTANT > h5, .INFO > h5, .TIP > h5, .NOTE > h5, .WARNING > h5 {
  color: inherit;
}
.CAUTION, .IMPORTANT {
  color: #a94442;
  background-color: #f2dede;
  border-color: #ebccd1;
}
.WARNING {
  color: #8a6d3b;
  background-color: #fcf8e3;
  border-color: #faebcc;
}
.INFO, .TIP, .NOTE {
  color: #31708f;
  background-color: #d9edf7;
  border-color: #bce8f1;
}

@media(min-width: 1080px) {
  html, body {
  }
}

@media print {
  pre {
    white-space: pre-wrap;
    word-break: normal;
    word-wrap: normal;
  }

    pre > code {
      white-space: pre-wrap;
      padding: 1em !important;
    }
}
